List issues
GET
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
projectId?stringstatus?stringOpen (the default), closed, or all. stateIds narrows further.
One of
"open""closed""all"stateIds?string|array<string>priorities?|array<>assignee?stringThe assignee: a user id, a thread id, me for the key's own user, or none.
creator?stringThe creator: a user id, a thread id, me for the key's own user, or none.
mentioned?Issues that mention the key's user.
labelIds?|array<string>Issues carrying any of these labels.
parent?stringThe sub-issues of this issue code.
due?|array<>hasPullRequest?stringOne of
"true""false"search?stringWords in the issue, or an issue number or code.
Length
1 <= length <= 100limit?integerRange
1 <= value <= 200cursor?stringMatch
^[0-3]:\d{1,10}$IssuePage
application/json- response
items*array<>cursor*|nullcurl -X GET 'https://api.capy.ai/api/v1/issues'{ "items": [ { "id": "string", "code": "string", "number": 0, "projectId": "string", "title": "string", "state": { "id": "string", "name": "string", "type": "open" }, "priority": "urgent", "dueAt": "string", "parentId": "string", "visibility": "org", "assignees": [ { "kind": "user", "id": "string", "code": "string" } ], "labels": [ { "id": "string", "name": "string" } ], "subIssueCount": 0, "closedSubIssueCount": 0, "openBlockerCount": 0, "createdAt": "string", "updatedAt": "string", "closedAt": "string" } ], "cursor": "string"}